#include <stdio.h>
#include <stdlib.h>
#define USAGE ">>>> Usage: %s -n<#bytes to copy> infile outfile <<<< \n"

#define MAX_NUM 10000

main(int argc, char **argv)
{
  FILE *ifp, *ofp;
  int i, c, nbytes;
  char *progname = argv[0];

  if (argc <= 3)
    {
      fprintf (stderr, USAGE, progname );
      exit(1);
    }       /* if */

  nbytes = MAX_NUM;

   while ( --argc > 0  &&  (*++argv)[0] == '-' )
      switch((*argv)[1])
      {
	case 'n':
	   nbytes = atoi( *argv+2 );
           break;
        default:
          fprintf( stderr, USAGE, progname );
          exit( 1 );
     }

  if ( argc != 2 )
    {
     fprintf( stderr, USAGE, progname );
     exit( 1 );
   }

  ifp = fopen( *argv, "r");    /* open for reading. */
  ofp = fopen( *++argv, "w");    /* open for writing. */


  for ( i = 0;  i < nbytes && ((c = getc(ifp)) != EOF);  ++i )
      putc(c, ofp);

  fclose(ifp);
  fclose(ofp);
}
